## org.apache.cassandra.thrift
Class Cassandra.AsyncClient.describe_ring_call

    java.lang.Object
      org.apache.thrift.async.TAsyncMethodCall
          org.apache.cassandra.thrift.Cassandra.AsyncClient.describe_ring_call

Enclosing class:
  Cassandra.AsyncClient

    public static class Cassandra.AsyncClient.describe_ring_call

extends org.apache.thrift.async.TAsyncMethodCall

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall
`org.apache.thrift.async.TAsyncMethodCall.State`

Field Summary

Fields inherited from class org.apache.thrift.async.TAsyncMethodCall
`client, transport`

Constructor Summary
`Cassandra.AsyncClient.describe_ring_call(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_ring_call> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

Method Summary
`java.util.List<TokenRange>` `getResult()`
`void` `write_args(org.apache.thrift.protocol.TProtocol prot)`

Methods inherited from class org.apache.thrift.async.TAsyncMethodCall
`getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall, transition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cassandra.AsyncClient.describe_ring_call

    public Cassandra.AsyncClient.describe_ring_call(java.lang.String keyspace,
                                                    org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_ring_call> resultHandler,
                                                    org.apache.thrift.async.TAsyncClient client,
                                                    org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                                    org.apache.thrift.transport.TNonblockingTransport transport)
                                             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

Method Detail

### write_args

    public void write_args(org.apache.thrift.protocol.TProtocol prot)
                    throws org.apache.thrift.TException

  Specified by:
    `write_args` in class `org.apache.thrift.async.TAsyncMethodCall`
  Throws:
    `org.apache.thrift.TException`

### getResult

    public java.util.List<TokenRange> getResult()
                                         throws InvalidRequestException,
                                                org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `org.apache.thrift.TException`

Copyright © 2012 The Apache Software Foundation